=== radiant/CMakeLists.txt ===
add_executable(darkradiant
               camera/CameraSettings.cpp
               camera/CamWnd.cpp
               camera/FloatingCamWnd.cpp
               camera/CameraWndManager.cpp
               clipboard/ClipboardModule.cpp
               eventmanager/Accelerator.cpp
               eventmanager/EventManager.cpp
               eventmanager/GlobalKeyEventFilter.cpp
               eventmanager/MouseToolGroup.cpp
               eventmanager/MouseToolManager.cpp
               eventmanager/Statement.cpp
               eventmanager/Toggle.cpp
               eventmanager/WidgetToggle.cpp
               log/Console.cpp
               main.cpp
               map/AutoSaver.cpp
               map/StartupMapLoader.cpp
               RadiantApp.cpp
               selection/ManipulateMouseTool.cpp
               selection/SelectionMouseTools.cpp
               settings/LocalisationModule.cpp
               settings/LocalisationProvider.cpp
               settings/Win32Registry.cpp
               textool/item/BrushItem.cpp
               textool/item/FaceItem.cpp
               textool/item/FaceVertexItem.cpp
               textool/item/PatchItem.cpp
               textool/item/PatchVertexItem.cpp
               textool/TexTool.cpp
               textool/TexToolItem.cpp
               ui/aas/AasControl.cpp
               ui/aas/AasControlDialog.cpp
               ui/aas/RenderableAasFile.cpp
               ui/about/AboutDialog.cpp
               ui/brush/FindBrush.cpp
               ui/brush/QuerySidesDialog.cpp
               ui/commandlist/CommandList.cpp
               ui/commandlist/ShortcutChooser.cpp
               ui/common/CommandEntry.cpp
               ui/common/DefinitionView.cpp
               ui/common/EntityChooser.cpp
               ui/common/ImageFilePopulator.cpp
               ui/common/ImageFileSelector.cpp
               ui/common/MapPreview.cpp
               ui/common/RenderableAABB.cpp
               ui/common/ShaderChooser.cpp
               ui/common/ShaderSelector.cpp
               ui/common/SoundShaderDefinitionView.cpp
               ui/common/TexturePreviewCombo.cpp
               ui/common/SoundChooser.cpp
               ui/common/SoundShaderPreview.cpp
               ui/DispatchEvent.cpp
               ui/Documentation.cpp
               ui/eclasstree/EClassTreeBuilder.cpp
               ui/eclasstree/EClassTree.cpp
               ui/einspector/AddPropertyDialog.cpp
               ui/einspector/AnglePropertyEditor.cpp
               ui/einspector/BooleanPropertyEditor.cpp
               ui/einspector/ClassnamePropertyEditor.cpp
               ui/einspector/ColourPropertyEditor.cpp
               ui/einspector/EntityInspector.cpp
               ui/einspector/EntityPropertyEditor.cpp
               ui/einspector/FloatPropertyEditor.cpp
               ui/einspector/LightTextureChooser.cpp
               ui/einspector/ModelPropertyEditor.cpp
               ui/einspector/PropertyEditor.cpp
               ui/einspector/PropertyEditorFactory.cpp
               ui/einspector/SkinChooser.cpp
               ui/einspector/SkinPropertyEditor.cpp
               ui/einspector/SoundPropertyEditor.cpp
               ui/einspector/TexturePropertyEditor.cpp
               ui/einspector/Vector3PropertyEditor.cpp
               ui/entitylist/EntityList.cpp
               ui/entitylist/GraphTreeModel.cpp
               ui/favourites/FavouritesBrowser.cpp
               ui/favourites/FavouritesUserInterfaceModule.cpp
               ui/filters/editor/FilterDialog.cpp
               ui/filters/editor/FilterEditor.cpp
               ui/filters/FilterContextMenu.cpp
               ui/filters/FilterOrthoContextMenuItem.cpp
               ui/filters/FiltersMainMenu.cpp
               ui/filters/FilterUserInterface.cpp
               ui/findshader/FindShader.cpp
               ui/gl/WxGLWidgetManager.cpp
               ui/grid/GridUserInterface.cpp
               ui/layers/CreateLayerDialog.cpp
               ui/layers/LayerContextMenu.cpp
               ui/layers/LayerControl.cpp
               ui/layers/LayerControlDialog.cpp
               ui/layers/LayerOrthoContextMenuItem.cpp
               ui/lightinspector/LightInspector.cpp
               ui/LongRunningOperationHandler.cpp
               ui/mainframe/AuiLayout.cpp
               ui/mainframe/EmbeddedLayout.cpp
               ui/mainframe/FloatingLayout.cpp
               ui/mainframe/MainFrame.cpp
               ui/mainframe/MainFrameLayoutManager.cpp
               ui/mainframe/RegularLayout.cpp
               ui/mainframe/ScreenUpdateBlocker.cpp
               ui/mainframe/SplitPaneLayout.cpp
               ui/mainframe/TopLevelFrame.cpp
               ui/mapselector/MapSelector.cpp
               ui/materials/MaterialDefinitionView.cpp
               ui/materials/editor/MaterialEditor.cpp
               ui/materials/editor/MaterialEditorModule.cpp
               ui/materials/editor/MaterialPreview.cpp
               ui/materials/MaterialPopulator.cpp
               ui/materials/MaterialTreeView.cpp
               ui/merge/MergeControlDialog.cpp
               ui/animationpreview/AnimationPreview.cpp
               ui/animationpreview/MD5AnimationChooser.cpp
               ui/animationpreview/MD5AnimationViewer.cpp
               ui/colourscheme/ColourSchemeEditor.cpp
               ui/common/DialogManager.cpp
               ui/groupdialog/GroupDialog.cpp
               ui/groupdialog/GroupDialogManager.cpp
               ui/menu/MenuBar.cpp
               ui/menu/MenuElement.cpp
               ui/menu/MenuFolder.cpp
               ui/menu/MenuItem.cpp
               ui/menu/MenuManager.cpp
               ui/menu/MenuSeparator.cpp
               ui/toolbar/ToolbarManager.cpp
               ui/MapCommands.cpp
               ui/MapFileProgressHandler.cpp
               ui/mapinfo/EntityInfoTab.cpp
               ui/mapinfo/LayerInfoTab.cpp
               ui/mapinfo/MapInfoDialog.cpp
               ui/mapinfo/ModelInfoTab.cpp
               ui/mapinfo/ShaderInfoTab.cpp
               ui/mediabrowser/MediaBrowser.cpp
               ui/mediabrowser/MediaBrowserTreeView.cpp
               ui/modelexport/ExportAsModelDialog.cpp
               ui/modelexport/ExportCollisionModelDialog.cpp
               ui/modelselector/MaterialsList.cpp
               ui/modelselector/ModelSelector.cpp
               ui/modelselector/ModelTreeView.cpp
               ui/mousetool/BindToolDialog.cpp
               ui/mousetool/ToolMappingDialog.cpp
               ui/ortho/OrthoContextMenu.cpp
               ui/overlay/Overlay.cpp
               ui/overlay/OverlayDialog.cpp
               ui/particles/ParticleEditor.cpp
               ui/particles/ParticlesChooser.cpp
               ui/patch/BulgePatchDialog.cpp
               ui/patch/CapDialog.cpp
               ui/patch/PatchCreateDialog.cpp
               ui/patch/PatchInspector.cpp
               ui/patch/PatchThickenDialog.cpp
               ui/PointFileChooser.cpp
               ui/prefabselector/PrefabSelector.cpp
               ui/prefdialog/GameSetupDialog.cpp
               ui/prefdialog/GameSetupPage.cpp
               ui/prefdialog/GameSetupPageIdTech.cpp
               ui/prefdialog/GameSetupPageTdm.cpp
               ui/prefdialog/PrefDialog.cpp
               ui/prefdialog/PreferenceItem.cpp
               ui/prefdialog/PrefPage.cpp
               ui/script/ScriptMenu.cpp
               ui/script/ScriptUserInterfaceModule.cpp
               ui/script/ScriptWindow.cpp
               ui/selectionset/SelectionSetToolmenu.cpp
               ui/splash/Splash.cpp
               ui/statusbar/EditingStopwatchStatus.cpp
               ui/statusbar/MapStatistics.cpp
               ui/statusbar/StatusBarManager.cpp
               ui/surfaceinspector/SurfaceInspector.cpp
               ui/texturebrowser/TextureBrowser.cpp
               ui/texturebrowser/TextureBrowserManager.cpp
               ui/toolbar/ToolbarManager.cpp
               ui/transform/TransformDialog.cpp
               ui/UserInterfaceModule.cpp
               xyview/FloatingOrthoView.cpp
               xyview/GlobalXYWnd.cpp
               xyview/tools/BrushCreatorTool.cpp
               xyview/tools/ClipperTool.cpp
               xyview/tools/MeasurementTool.cpp
               xyview/XYWnd.cpp)
target_compile_options(darkradiant PRIVATE ${SIGC_CFLAGS} ${FREETYPE_CFLAGS} ${GLIB_CFLAGS})
target_include_directories(darkradiant PRIVATE .)
target_link_libraries(darkradiant PRIVATE
                      math xmlutil scenegraph wxutil module
                      ${GLIB_LIBRARIES})

# Enable precompiled header for radiant
if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.16.0")
target_precompile_headers(darkradiant PRIVATE
                          "$<$<COMPILE_LANGUAGE:CXX>:precompiled.h>")
endif()
