## darkradiant 2.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,11 @@
 cmake_minimum_required(VERSION 3.12)
 
 # Project name and version
-project(darkradiant VERSION 2.13.0)
+project(darkradiant VERSION 2.14.0)
 
 # C++ standard
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
-
-# Global compiler options and warnings (TODO: may need updating for CLang)
-add_compile_options(-Werror=return-local-addr)
 
 # GCC 8 and earlier require explicit linking against stdc++fs
 if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9)
@@ -153,7 +150,7 @@
 endif()
 
 if (${LIBGIT_FOUND})
-    install(TARGETS vcs 
+    install(TARGETS vcs
             LIBRARY DESTINATION ${PKGLIBDIR}/plugins)
 endif()
