=== radiant/CMakeLists.txt ===
--- 
+++ 
@@ -14,21 +14,17 @@
                eventmanager/WidgetToggle.cpp
                log/Console.cpp
                main.cpp
-               map/AutoSaver.cpp
+               map/AutoSaveTimer.cpp
                map/StartupMapLoader.cpp
                RadiantApp.cpp
+               selection/SceneManipulateMouseTool.cpp
                selection/ManipulateMouseTool.cpp
                selection/SelectionMouseTools.cpp
                settings/LocalisationModule.cpp
                settings/LocalisationProvider.cpp
                settings/Win32Registry.cpp
-               textool/item/BrushItem.cpp
-               textool/item/FaceItem.cpp
-               textool/item/FaceVertexItem.cpp
-               textool/item/PatchItem.cpp
-               textool/item/PatchVertexItem.cpp
+               textool/tools/TextureToolManipulateMouseTool.cpp
                textool/TexTool.cpp
-               textool/TexToolItem.cpp
                ui/aas/AasControl.cpp
                ui/aas/AasControlDialog.cpp
                ui/aas/RenderableAasFile.cpp
@@ -93,7 +89,6 @@
                ui/LongRunningOperationHandler.cpp
                ui/mainframe/AuiLayout.cpp
                ui/mainframe/EmbeddedLayout.cpp
-               ui/mainframe/FloatingLayout.cpp
                ui/mainframe/MainFrame.cpp
                ui/mainframe/MainFrameLayoutManager.cpp
                ui/mainframe/RegularLayout.cpp
@@ -131,6 +126,7 @@
                ui/mapinfo/ShaderInfoTab.cpp
                ui/mediabrowser/MediaBrowser.cpp
                ui/mediabrowser/MediaBrowserTreeView.cpp
+               ui/modelexport/ConvertModelDialog.cpp
                ui/modelexport/ExportAsModelDialog.cpp
                ui/modelexport/ExportCollisionModelDialog.cpp
                ui/modelselector/MaterialsList.cpp
@@ -162,6 +158,7 @@
                ui/script/ScriptWindow.cpp
                ui/selectionset/SelectionSetToolmenu.cpp
                ui/splash/Splash.cpp
+               ui/statusbar/CommandStatus.cpp
                ui/statusbar/EditingStopwatchStatus.cpp
                ui/statusbar/MapStatistics.cpp
                ui/statusbar/StatusBarManager.cpp
