=== radiantcore/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,6 @@
             brush/FaceInstance.cpp
             brush/FacePlane.cpp
             brush/FixedWinding.cpp
-            brush/TexDef.cpp
             brush/TextureMatrix.cpp
             brush/TextureProjection.cpp
             brush/Winding.cpp
@@ -95,6 +94,7 @@
             map/algorithm/MapImporter.cpp
             map/algorithm/Models.cpp
             map/algorithm/Skins.cpp
+            map/autosaver/AutoSaver.cpp
             map/ArchivedMapResource.cpp
             map/CounterManager.cpp
             map/EditingStopwatch.cpp
@@ -159,6 +159,8 @@
             model/import/AseModel.cpp
             model/import/AseModelLoader.cpp
             model/import/ModelImporterBase.cpp
+            model/import/openfbx/ofbx.cpp
+            model/import/FbxModelLoader.cpp
             model/picomodel/PicoModelLoader.cpp
             model/picomodel/PicoModelModule.cpp
             model/StaticModel.cpp
@@ -179,6 +181,7 @@
             model/picomodel/lib/picomodules.c
             model/picomodel/lib/pm_3ds.c
             model/picomodel/lib/pm_fm.c
+            model/picomodel/lib/pm_iqm.c
             model/picomodel/lib/pm_lwo.c
             model/picomodel/lib/pm_md2.c
             model/picomodel/lib/pm_md3.c
@@ -231,12 +234,14 @@
             selection/algorithm/Planes.cpp
             selection/algorithm/Primitives.cpp
             selection/algorithm/Shader.cpp
+            selection/algorithm/Texturing.cpp
             selection/algorithm/Transformation.cpp
             selection/clipboard/Clipboard.cpp
             selection/group/SelectionGroupInfoFileModule.cpp
             selection/group/SelectionGroupManager.cpp
             selection/group/SelectionGroupModule.cpp
             selection/ManipulationPivot.cpp
+            selection/SceneManipulationPivot.cpp
             selection/manipulators/DragManipulator.cpp
             selection/manipulators/ManipulatorBase.cpp
             selection/manipulators/ManipulatorComponents.cpp
@@ -254,6 +259,15 @@
             selection/shaderclipboard/ClosestTexturableFinder.cpp
             selection/shaderclipboard/ShaderClipboard.cpp
             selection/shaderclipboard/Texturable.cpp
+            selection/textool/ColourSchemeManager.cpp
+            selection/textool/FaceNode.cpp
+            selection/textool/Node.cpp
+            selection/textool/PatchNode.cpp
+            selection/textool/TextureToolManipulationPivot.cpp
+            selection/textool/TextureToolDragManipulator.cpp
+            selection/textool/TextureToolRotateManipulator.cpp
+            selection/textool/TextureToolSceneGraph.cpp
+            selection/textool/TextureToolSelectionSystem.cpp
             selection/TransformationVisitors.cpp
             settings/ColourScheme.cpp
             settings/ColourSchemeManager.cpp
@@ -267,20 +281,3 @@
             shaders/Doom3ShaderLayer.cpp
             shaders/Doom3ShaderSystem.cpp
             shaders/ExpressionSlots.cpp
-            shaders/MapExpression.cpp
-            shaders/MaterialSourceGenerator.cpp
-            shaders/ShaderExpression.cpp
-            shaders/ShaderLibrary.cpp
-            shaders/ShaderTemplate.cpp
-            shaders/TableDefinition.cpp
-            shaders/TextureMatrix.cpp
-            shaders/textures/GLTextureManager.cpp
-            shaders/textures/TextureManipulator.cpp
-            skins/Doom3SkinCache.cpp
-            undo/UndoSystem.cpp
-            versioncontrol/VersionControlManager.cpp
-            vfs/DeflatedInputStream.cpp
-            vfs/DirectoryArchive.cpp
-            vfs/Doom3FileSystem.cpp
-            vfs/Doom3FileSystemModule.cpp
-            vfs/ZipArchive.cpp
