=== test/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
                Entity.cpp
                Favourites.cpp
                FileTypes.cpp
+               Grid.cpp
                HeadlessOpenGLContext.cpp
                ImageLoading.cpp
                LayerManipulation.cpp
@@ -17,6 +18,7 @@
                MapSavingLoading.cpp
                MaterialExport.cpp
                Materials.cpp
+               math/Matrix3.cpp
                math/Matrix4.cpp
                math/Plane3.cpp
                math/Quaternion.cpp
@@ -32,7 +34,10 @@
                Renderer.cpp
                SelectionAlgorithm.cpp
                Selection.cpp
+               TextureManipulation.cpp
+               TextureTool.cpp
                Transformation.cpp
+               UndoRedo.cpp
                VFS.cpp
                WorldspawnColour.cpp)
