=== debian/changelog ===
darkradiant (2.14.0-3) unstable; urgency=medium

  * Make build reproducible: BuildId differences triggered by RPATH"
    Thanks to Vagrant for the patch! (Closes: #1004004)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Jan 2022 10:12:38 +0100

darkradiant (2.14.0-2) unstable; urgency=medium

  * New patch to fix FTBFS on 32 bit archs. (Closes: #1001110)

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Dec 2021 15:31:33 +0100

darkradiant (2.14.0-1) unstable; urgency=medium

  * New upstream release.
    * Update d/copyright to reflect adding of OpenFBX.
      (vendored library, as intented by library upstream)
  * Update S-V to 4.6.0 -- no changes required.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Dec 2021 10:17:14 +0100

darkradiant (2.13.0-1) unstable; urgency=medium

  * New upstream release.
    - New version requires B-D on libeigen3-dev.
    - Update d/copyright to reflect copyright on new files.
  * Remove windows binary in d/clean and add lintian override for this.
  * Don't install the .gitignore file in the repository.
  * Salsa-CI: Disable crossbuild_arm64

 -- Tobias Frost <tobi@debian.org>  Wed, 25 Aug 2021 20:08:39 +0200
