=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_auto_build:
	dh_auto_build
	cd doc && asciidoctor -a stylesheet=manual.css manual.adoc

override_dh_makeshlibs:
	# do not call ldconfig in postinst/postrm
	dh_makeshlibs --noscripts

override_dh_install:
	dh_install -X.gitignore

override_dh_missing:
	dh_missing --fail-missing
